--- src/xfeutils.h.orig	2010-10-15 01:51:58.000000000 +0400
+++ src/xfeutils.h	2010-10-15 01:56:46.000000000 +0400
@@ -146,8 +146,12 @@
 #if defined(linux)
 int lstatmt(const FXchar*, struct stat*);
 #endif
+
+#ifndef _STRING_H
 size_t strlcpy(FXchar*, const FXchar*, size_t);
 size_t strlcat(FXchar*, const FXchar*, size_t);
+#endif
+
 unsigned long long dirsize(const FXchar*);
 unsigned long long pathsize(FXchar*, FXuint*, FXuint*);
 FXString hSize(FXchar*);
--- src/xfeutils.cpp.orig	2010-10-15 01:50:49.000000000 +0400
+++ src/xfeutils.cpp	2010-10-15 01:56:29.000000000 +0400
@@ -529,10 +529,11 @@
 #endif
 
 
+#ifndef _STRING_H
 // Safe strcpy function (Public domain, by C.B. Falconer)
 // The destination string is always null terminated
 // Size sz must be equal to strlen(src)+1
-size_t strlcpy(FXchar* dst, const char* src, size_t sz)
+size_t strlcpy(FXchar* dst, const FXchar* src, size_t sz)
 {
 	const FXchar *start = src;
 
@@ -571,7 +572,7 @@
    dst--;
    return dst - start + strlcpy(dst, src, sz);
 }
-
+#endif
 
 // Obtain the non recursive size of a directory
 unsigned long long dirsize(const FXchar* path)